/*
 * @(#)ComponentNode.java	1.1 97/09/25
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;
import com.sun.java.swing.*;
import com.sun.java.swing.tree.*;
import com.sun.java.accessibility.*;

/**
 * <P>ComponentTree extends TreeNode to add support for storing the component
 * represented by the node.
 *
 * @version     1.1 09/25/97 15:20:49
 * @author      Willie Walker
 */
public class ComponentNode extends DefaultMutableTreeNode
{
    public Component component = null;
    private String name;

    public ComponentNode(String name) {
        super();
        this.setUserObject(this);
        this.name = name;
    }

    public ComponentNode(Component component) {
        super();
        this.setUserObject(this);
        this.component = component;
        if (component instanceof Accessible) {
	    if (((Accessible) component).getAccessibleRole() == AccessibleRole.UNKNOWN) {
                name = '!' + ((Accessible) component).getAccessibleName();
	    } else {
                name = '*' + ((Accessible) component).getAccessibleName();
	    }
        } else {
	    name = component.getName();
        }
        name = name + " (" + component.getClass().toString() + ")";
    }

    public String toString() {
        return name;
    }
}
